net.snowflake.client.jdbc

## Class SFBaseFileTransferAgent.DownloadCommandEncryptionFacade

- java.lang.Object
- - net.snowflake.client.jdbc.SFBaseFileTransferAgent.DownloadCommandFacade
  - - net.snowflake.client.jdbc.SFBaseFileTransferAgent.DownloadCommandEncryptionFacade

Enclosing class:
  SFBaseFileTransferAgent

    public class SFBaseFileTransferAgent.DownloadCommandEncryptionFacade
    extends SFBaseFileTransferAgent.DownloadCommandFacade

### Constructor Summary

Constructors
Constructor and Description
`DownloadCommandEncryptionFacade(String file, String resultStatus, String errorDetails, long size, boolean isEncrypted)`

### Method Summary

### Methods inherited from class net.snowflake.client.jdbc.SFBaseFileTransferAgent.DownloadCommandFacade

`getFile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DownloadCommandEncryptionFacade

    public DownloadCommandEncryptionFacade(String file,
                                           String resultStatus,
                                           String errorDetails,
                                           long size,
                                           boolean isEncrypted)